using DamageAssesment.Api.UsersAccess.Models;
using System.Security.Claims;

namespace DamageAssesment.Api.UsersAccess.Interfaces
{
    public interface ITokenServiceProvider
    {
        Task<string> GenerateToken(User user);
        Task<TokenResponse> TokenAuthenticate(User user, Claim[] claims);
    }
}