﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Locations.Db
{
    public class Location
    {
        [Key]
        [StringLength(4)]
        public string Id { get; set; }

        [StringLength(50)]
        public string Name { get; set; }

        [StringLength(1)]
        public string MaintenanceCenter { get; set; }

        [StringLength(2)]
        public string SchoolType { get; set; }
        [ForeignKey("Region")]
        public string RegionId { get; set; }
    }
}
