﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text.Json.Serialization;

namespace DamageAssesment.Api.UsersAccess.Db
{
    public class User
    {
        [Key]
        public int Id { get; set; }

        [ForeignKey("Employee")]
        public string EmployeeId { get; set; }

        [ForeignKey("Role")]
        [Required]
        public int RoleId { get; set; }
        [Required]
        public bool? IsActive { get; set; } = true;

        [Required]
        public DateTime? CreateDate { get; set; } = DateTime.Now;

        public DateTime? UpdateDate { get; set; }

    }
}
